%define gtkbinaryver %(pkg-config gtk+-2.0 --variable=gtk_binary_version)

Summary:	Additional themes collection for GNOME
Name:		gnome-themes-extras
Version:	2.22.0
Release:	9
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://librsvg.sourceforge.net/theme.php
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-themes-extras/%{name}-%{version}.tar.bz2
Patch:		gnome-themes-extras-2.22.0-darklooks.patch
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk-engines-2)
BuildRequires:	perl-XML-Parser
BuildRequires:	icon-naming-utils >= 0.8.1
BuildArch:	noarch
# for the svg theme engine
Requires:	librsvg
# for the industrial theme engine
Requires:	gtk-engines2 >= 2.6

%description
Additional themes collection for GNOME: this package contains the
Darklooks metatheme and the Foxtrot, Gion and Neu icon themes for GNOME2.

%prep
%setup -q
%patch -p1
%build

#don't use configure macro, it doesn't work
./configure --prefix=%{_prefix} --libdir=%{_libdir}
%make

%install
%makeinstall

%find_lang gnome-themes-extras

### Remove files not to be installed
rm -rf %{buildroot}%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/{*.{a,la},libindustrial.so,libsmooth.so}
rm -rf %{buildroot}%_datadir/themes/Industrial


for dir in %buildroot%{_datadir}/icons/*; do
 touch $dir/icon-theme.cache
done

%post
%update_icon_cache Foxtrot
%update_icon_cache Gion
%update_icon_cache Neu
%update_icon_cache gnome-alternative
%postun
%clean_icon_cache Foxtrot
%clean_icon_cache Gion
%clean_icon_cache Neu
%clean_icon_cache gnome-alternative


%files -f gnome-themes-extras.lang
%doc AUTHORS MAINTAINERS ChangeLog COPYING README TODO
%dir %{_datadir}/icons/*
%{_datadir}/icons/*/???x???
%{_datadir}/icons/*/??x??
%{_datadir}/icons/*/scalable
%_datadir/icons/Foxtrot/index.theme
%_datadir/icons/Gion/index.theme
%_datadir/icons/Neu/index.theme
%_datadir/icons/gnome-alternative/index.theme
%{_datadir}/themes/*
%ghost %{_datadir}/icons/*/icon-theme.cache




%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.22.0-9
+ Revision: eea8b76
- MassBuild#440: Increase release tag


